EDIT - feature request #9032

Implement Feature.availableFor in TaxEditor
05/26/2020 04:18 PM - Andreas Mller

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 90%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.15

Severity: normal

Description

The alternatives should be available as checkboxes in the Feature details view similar to supportsXXX.

Also the values should be evaluated when suggesting features in the factual data view for taxa, specimen and names or elsewhere
where features are suggested. This will remove the current implementation which checks for certain vocabularies (which is a

workaround).

For details see also #9027

Related issues:

Related to EDIT - bug #9070: Adapt preference page to feature.isAvailableFor...
Related to EDIT - feature request #9079: Move supported and available for par...
Follows EDIT - feature request #9027: Implement Feature.availableFor

Closed
New
Closed

Associated revisions

Revision 25¢76819 - 06/11/2020 02:11 PM - Katja Luther

ref #9032: add available for in feature details view

Revision 5499d5e4 - 06/11/2020 05:08 PM - Katja Luther
ref #9032: fix isAvailableForTaxon

Revision 7cbd337d - 06/11/2020 07:08 PM - Katja Luther

ref #9032: adapt featureTree creation to isAvailableFor

Revision 62d28a57 - 06/11/2020 07:16 PM - Katja Luther
ref #9032: add FeatureDto

Revision 51788caf - 06/11/2020 07:41 PM - Katja Luther
ref #9032: add FeatureDto - continue

Revision 5edd1fbf - 06/15/2020 06:00 PM - Katja Luther

fix #9040: implement service/persistent methods to get featureDtos fitting to availableFor param

Revision 8b643532 - 06/15/2020 06:02 PM - Katja Luther

fix #9040: adapt preferences to availableFor attribute of features

Revision 45f81765 - 06/16/2020 09:37 AM - Katja Luther

fix #9032: layout issues in feature details view

Revision 83cb55ca - 06/16/2020 09:53 AM - Katja Luther
ref #9032: label can set to bold

History

#1 - 05/26/2020 04:18 PM - Andreas Miiller
- Due date set to 05/25/2020
https://dev.e-taxonomy.eu/redmine/issues/9027

- Start date changed from 05/26/2020 to 05/25/2020

- Follows feature request #9027: Implement Feature.availableFor added

#2 - 05/26/2020 04:22 PM - Andreas Miuiller
- Description updated

- Due date deleted (05/25/2020)

- Category changed from cdm to taxeditor

- Start date changed from 05/25/2020 to 05/26/2020

#3 - 06/12/2020 09:21 AM - Katja Luther
- Status changed from New to In Progress

- % Done changed from 0 to 50

the details view and the featureTree creation is implemented, but the preference page needs to be adapted, because the term preference pages work
with vocabularies.

Therefore the contentProvider for the treeViewer needs to be adapted.
#4 - 06/15/2020 11:02 AM - Katja Luther
Katja Luther wrote:

the details view and the featureTree creation is implemented, but the preference page needs to be adapted, because the term preference pages
work with vocabularies.

Therefore the contentProvider for the treeViewer needs to be adapted.

| create a new ticket for this and close this ticket. (#9070)

#5 - 06/15/2020 11:02 AM - Katja Luther
- Related to bug #9070: Adapt preference page to feature.isAvailableFor... added

#6 - 06/15/2020 12:12 PM - Andreas Miuller

Is this ticket for review then?

#7 - 06/15/2020 12:48 PM - Katja Luther

No, I just found a problem.

#8 - 06/15/2020 06:01 PM - Katja Luther
- Status changed from In Progress to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller
#9 - 06/15/2020 06:02 PM - Katja Luther
Katja Luther wrote:

No, | just found a problem.

the problem is fixed, please review.

#10 - 06/15/2020 09:55 PM - Andreas Miiller
Generally it seems to work.

One issue | found:

e | changed "Orthography to be available for Taxon, not Taxon name".
e In Facts View | added an orthography fact to a taxon => the new fact was not shown in the facts view

Reopening the taxon did also no show the new fact.

Restarting the TaxEditor did finally show the fact, so it was saved but there was probably a problem with the (default) feature tree used in the facts
view not being synchronized.
https://dev.e-taxonomy.eu/redmine/issues/9070

#11 - 06/15/2020 09:55 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Katja Luther
#12 - 06/15/2020 10:03 PM - Andreas Miiller
A minor issue for the layout of the term details view

We should maybe better distinguish the supportsXXX and availableForXXX cases by e.g. having headers for each section. This way we could also
avoid repeating "Supports" and "Available for".

It could look like
Supports

..Text Data........ X
..Quantitative Data x
Available for
..Taxon....... X

..Taxon Name.. 0
..Occurrence.. x

#13 - 06/15/2020 10:05 PM - Andreas Miiller

Minor note: can we move Categorical Data up just below Supports Text Data? This is because features for Categorical Data and Quantitative Data
are much more often created then features for the remaining subclasses.

#14 - 06/16/2020 09:35 AM - Katja Luther
- Status changed from Feedback to Resolved

Applied in changeset taxeditor|45f8176560c646e39fb6244aa33a38160ad4adea.

#15 - 06/16/2020 09:37 AM - Katja Luther

- Assignee changed from Katja Luther to Anton Glintsch

the layout issues are solved.

#16 - 06/16/2020 10:53 AM - Andreas Miiller

- Assignee changed from Anton Gintsch to Andreas Miiller

#17 - 06/16/2020 11:06 AM - Andreas Miiller

- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther
- % Done changed from 50 to 90

Looks much better now.

| just wonder if it is not maybe better to handle Supports and Available for also as Sections (they have a title by default), same as Media and some
others.

But it is up to you to decide if this makes sense. It has definetely no high priority.

#18 - 06/18/2020 09:16 AM - Katja Luther

- Related to feature request #9079: Move supported and available for parts of feature detail element to sections added

#19 - 06/18/2020 09:16 AM - Katja Luther
- Status changed from Feedback to Closed

Andreas Muller wrote:

Looks much better now.
| just wonder if it is not maybe better to handle Supports and Available for also as Sections (they have a title by default), same as Media and
some others.

But it is up to you to decide if this makes sense. It has definetely no high priority.

| would move this to a new ticket (#9079) and close this ticket.
